package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.WFActor;
import com.sa.ibiz.demo.demo.service.dto.WFActorSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface WFActorMapper extends BaseMapper<WFActor>{
    @CacheEvict( value="entity",key = "'WFActor:'+#p0.wfactorid")
    void updateOne(@Param("wfactor") WFActor wfactor);
    List<WFActor> searchDefault(@Param("srf") WFActorSearchFilter searchfilter,@Param("ew") Wrapper<WFActor> wrapper) ;
    Page<WFActor> searchDefault(IPage page, @Param("srf") WFActorSearchFilter searchfilter, @Param("ew") Wrapper<WFActor> wrapper) ;
    List<WFActor> searchIndexDER(@Param("srf") WFActorSearchFilter searchfilter,@Param("ew") Wrapper<WFActor> wrapper) ;
    Page<WFActor> searchIndexDER(IPage page, @Param("srf") WFActorSearchFilter searchfilter, @Param("ew") Wrapper<WFActor> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'WFActor:'+#p0")
    WFActor selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'WFActor:'+#p0.wfactorid")
    int updateById(@Param(Constants.ENTITY) WFActor entity);
    @Override
    @CacheEvict( value="entity",key = "'WFActor:'+#p0.wfactorid")
    int insert(WFActor entity);
    @Override
    @CacheEvict( value="entity",key = "'WFActor:'+#p0")
    int deleteById(Serializable id);
}